# Create FTP account

This function creates an FTP account.

Important:

When you disable the FTP role, the system disables this function.

Endpoint: GET /Ftp/add_ftp
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `user` (string, required)
    The new FTP account username.
    Example: "username"

  - `disallowdot` (integer)
    Whether to strip dots (.) from the username.

* 1 — Strip dots.
* 0 — Do not strip dots.
    Enum: 0, 1

  - `domain` (string)
    The FTP user's associated domain. This must be a domain that the cPanel account owns.

Note:

This parameter defaults to the cPanel account's primary domain.
    Example: "example.com"

  - `homedir` (string)
    The path to the FTP account's root directory, relative to the cPanel account's home directory. If you don't set this, it defaults to a directory with the same name as the FTP account.
    Example: "exampleftp"

  - `pass` (string)
    The new FTP account password.

Note:

You can use the pass_hash parameter in place of this parameter. However, you cannot use both the pass and pass_hash parameters in the same request.
    Example: "123456luggage"

  - `pass_hash` (string)
    The account's password hash.

Note:

* You can use this parameter in place of the pass parameter. However, you cannot use both the pass and pass_hash parameters in the same request.
* You can find your server's password hash type in the /etc/sysconfig/authconfig file.
    Example: "$6$1sOyHP5ZDYp3pGUz$R0TSgfPRHfDjT5PP5RJGv39FhiGTNNPvM7IFpCBjXijMmlMZk9yI8T3LqGuntc9fdKb5eX.lGL7wBS9e4DAWn/"

  - `quota` (integer)
    The FTP account's maximum disk usage quota, in megabytes (MB).

Note:

A value of 0 grants the FTP account unlimited disk space.
    Example: 42

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_ftp"

  - `module` (string)
    The name of the module called.
    Example: "Ftp"

  - `result` (object)

  - `result.data` (object,null)
    Enum: null

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


